DateTime::TimeZone::Local::VMS(3)

NAME
DateTime::TimeZone::Local::VMS - Determine the local system's time zone on VMS

VERSION
version 1.46

SYNOPSIS
  my $tz = DateTime::TimeZone->new( name => 'local' );

  my $tz = DateTime::TimeZone::Local->TimeZone();

DESCRIPTION
This module provides methods for determining the local time zone on a VMS platform.

NOTE: This is basically a stub pending an implementation by someone who knows something about VMS.

HOW THE TIME ZONE IS DETERMINED
This class tries the following methods of determining the local time zone:

•   %ENV

    We check the following environment variables:

    •   TZ

    •   SYS$TIMEZONE_RULE

    •   SYS$TIMEZONE_NAME

    •   UCX$TZ

    •   TCPIP$TZ

AUTHOR
Dave Rolsky <autarch@urth.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2012 by Dave Rolsky.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.